﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.ComponentModel;
using System.Configuration.Install;
using System.ServiceProcess;

namespace Blog20121005
{
    [RunInstallerAttribute(true)]
    public class MyProjectInstaller : Installer {
        public MyProjectInstaller() {
            ServiceProcessInstaller processInstaller = new ServiceProcessInstaller();
            processInstaller.Account = ServiceAccount.LocalService;
            ServiceInstaller serviceInstaller = new ServiceInstaller();
            serviceInstaller.StartType = ServiceStartMode.Automatic;
            serviceInstaller.ServiceName = "명월서비스";
            Installers.Add(serviceInstaller);
            Installers.Add(processInstaller);
        }
    }
    public partial class Service1 : ServiceBase {
        Program p;
        protected override void OnStart(string[] args)
        {
            p = new Program();
        }
        protected override void OnStop()
        {
            p.Dispose();
        }
    }
    public class Program : IDisposable
    {
        static void Main(string[] args)
        {
            ServiceBase.Run(new Service1());
        }
        public Program() {
            FileStream FS = new FileStream("C:\\TEST.txt", FileMode.Append, FileAccess.Write);
            StreamWriter SW = new StreamWriter(FS);
            SW.WriteLine(DateTime.Now.ToString()+"  서비스 프로그램이 실행되었습니다.");
            SW.Close();
            FS.Close();
        }
        public void Dispose() {
            FileStream FS = new FileStream("C:\\TEST.txt", FileMode.Append, FileAccess.Write);
            StreamWriter SW = new StreamWriter(FS);
            SW.WriteLine(DateTime.Now.ToString() + "  서비스 프로그램이 종료되었습니다.");
            SW.Close();
            FS.Close();
        }
    }
}
